> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get History Diff

> Retrieves diff for history by ID or entity type. Retrieves the modified file(s) of given history compared to the previous. version of entity



## OpenAPI

````yaml /openapi/openapi_audit_logs.json get /history/{historyId}/diff
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Audit Logs Web API
  title: Audit Logs Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /history/{historyId}/diff:
    get:
      tags:
        - History
      summary: Get History Diff
      description: >-
        Retrieves diff for history by ID or entity type. Retrieves the modified
        file(s) of given history compared to the previous. version of entity
      parameters:
        - description: History Id
          in: path
          name: historyId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
            text/json:
              schema: {}
            text/plain:
              schema: {}
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````